
class RoleServer {
    async list() {
        let res =  await window.framework.http.get("/sys_role/index", {});
        return res;
    }

    async add(row) {
        let res =  await window.framework.http.post("/sys_role/add", row);
        return res;
    }

    async edit(row) {
        let res =  await window.framework.http.post("/sys_role/edit", row);

        return res;
    }

    async del(row) {
        let res =  await window.framework.http.post("/sys_role/del", row);
        return res;
    }
}

const roleServer = new RoleServer();
export default roleServer;